//Bibliotheken laden
#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

#include <DHT.h>
#include <DHT_U.h>

#define DHTTYPE    DHT11
#define DHTPIN 2 
DHT dht(DHTPIN, DHTTYPE);

//CE - digitaler Pin D6
//CSN - digitaler Pin D7
RF24 radio(6, 7);  // CE, CSN

//Adresse über welche die Kommunikation stattfinden soll
const byte address[6] = "00001";

void setup(){
  //beginn der seriellen Kommunikation mit 9600baud
  Serial.begin(9600);
 
  radio.begin();
  dht.begin();
  
  //setzen der Adresse
  radio.openWritingPipe(address);
  
  //das Modul soll als Sender agieren daher
  //keine "abhören"
  radio.stopListening();
}
void loop(){
    //Nachricht welche gesendet werden soll
    const char status[200];
    readDHT11ValuesAsJSON().toCharArray(status, 200);
    //senden der Nachricht
    radio.write(&status, sizeof(status));

    //Der DHT11 Sensor liefert nur alle 2 Sekunden neue Messwerte
    //daher eine kleine Pause.
    delay(2000);
}

String readDHT11ValuesAsJSON(){
  float h = dht.readHumidity();
  // Read temperature as Celsius (the default)
  float t = dht.readTemperature();
  
  String result = "{";
  result = result + "t:" + String(t, 2) + ",";
  result = result + "h:" + String(h, 2);
  result = result + "}";

  Serial.println(result);
  return result;
}
